dongqing4774
dongqing4774
2014-12-10 05:35

从5.1更新mysql到5.6,但php信息仍然显示5.1客户端版本

  • php
  • mysql

Evnironment: centos6.6, using virtualmin sh install everything, originally the php is PHP Version 5.3.3, mysql 5.1.72, but i want to update mysql to 5.6, so i remove mysql, and install 5.6 using these commands

# yum install http://dev.mysql.com/get/mysql-community-release-el6-5.noarch.rpm
# yum install mysql mysql-devel mysql-server mysql-utilities

originally

mysql-5.1.73-3.el6_5.x86_64
php-mysql-5.3.3-40.el6_6.x86_64
mysql-community-release-el6-5.noarch
mysql-devel-5.1.73-3.el6_5.x86_64
mysql-libs-5.1.73-3.el6_5.x86_64
mysql-server-5.1.73-3.el6_5.x86_64

Now

mysql-connector-python-2.0.2-1.el6.noarch
mysql-community-release-el6-5.noarch
mysql-community-devel-5.6.22-2.el6.x86_64
mysql-community-libs-5.6.22-2.el6.x86_64
mysql-community-server-5.6.22-2.el6.x86_64
mysql-community-common-5.6.22-2.el6.x86_64
mysql-utilities-1.5.3-1.el6.noarch
php-mysql-5.3.3-40.el6_6.x86_64
mysql-community-libs-compat-5.6.22-2.el6.x86_64
mysql-community-client-5.6.22-2.el6.x86_64

here is the php info

mysql

Client API version 5.1.72

mysqli

Client API library version 5.1.72

What am i missing, anyone knows?

OTHER INFO

removed mysql5.6 again

[root@centos1 modules]# ls
curl.so      imap.so      pdo_odbc.so    pgsql.so    wddx.so       xsl.so
dom.so       json.so      pdo_pgsql.so   phar.so     xmlreader.so  zip.so
fileinfo.so  mbstring.so  pdo.so         snmp.so     xmlrpc.so
gd.so        odbc.so      pdo_sqlite.so  sqlite3.so  xmlwriter.so

after reinstalled mysql5.6 again

[root@centos1 modules]# ls
curl.so      json.so      pdo_mysql.so   pgsql.so    xmlreader.so
dom.so       mbstring.so  pdo_odbc.so    phar.so     xmlrpc.so
fileinfo.so  mysqli.so    pdo_pgsql.so   snmp.so     xmlwriter.so
gd.so        mysql.so     pdo.so         sqlite3.so  xsl.so
imap.so      odbc.so      pdo_sqlite.so  wddx.so     zip.so

[root@centos1 mysql]# ls
libmysqlclient.a        libmysqlclient_r.so.16.0.0  libmysqlclient.so.16      libmysqlservices.a
libmysqlclient_r.a      libmysqlclient_r.so.18      libmysqlclient.so.16.0.0  plugin
libmysqlclient_r.so     libmysqlclient_r.so.18.1.0  libmysqlclient.so.18
libmysqlclient_r.so.16  libmysqlclient.so           libmysqlclient.so.18.1.0
  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

4条回答